#include <ctype.h>
#include "scan_word.h"

bool scan_word(FILE* fp, stralloc* word) {
   word->len = 0;
   int ch;
   while ((ch = getc(fp)) != EOF) {
      if (isalpha(ch)) {
	 if (!stralloc_readyplus(word, 1)) return false;
	 word->s[word->len++] = ch;
      } else if (word->len > 0) {
	 break;
      }
   }
   return word->len > 0;
}
