#ifndef SET_H
#define SET_H

#include <stdbool.h>
#include <stralloc.h>

typedef struct Set Set;

Set* create_set(unsigned int size);
bool set_add(Set* set, stralloc* s);
bool in_set(Set* set, stralloc* s);
void set_first(Set* set);
const stralloc* set_next(Set* set);

#endif
